Bug 430813 - groupmems produces segmentation fault
groupmems produces segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
8
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 17:00 EST by grant weasner
Modified: 2008-02-20 21:53 EST (History)
0 users

See Also:
Fixed In Version: 4.0.18.1-21.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 21:53:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
this is a strace of the the command ran to produce the fault (6.52 KB, text/plain)
2008-01-29 17:00 EST, grant weasner
no flags Details

  None (edit)
Description grant weasner 2008-01-29 17:00:46 EST
Description of problem:
if you try to add a user to a group using groupmems it produces a segmentation 
fault. 

Version-Release number of selected component (if applicable):
man page for this shows System Management Commands 07/30/2006
# file /usr/sbin/groupmems
/usr/sbin/groupmems: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), 
dynamically linked (uses shared libs), for GNU/Linux 2.6.9, stripped


How reproducible:very


Steps to Reproduce:
1.make a group
2.attempt to add a user to it by groupmems -a user -g testgroup

  
Actual results:
/usr/sbin/groupmems -a customer -g test
Segmentation fault

Expected results:
Don't know I've never seen it work. I assume nothing is output.

Additional info:
This was recreated using an i586 or an i686 vmware fedora core 8
Comment 1 grant weasner 2008-01-29 17:00:46 EST
Created attachment 293350 [details]
this is a strace of the the command ran to produce the fault
Comment 2 Ondrej Vasik 2008-01-30 04:54:00 EST
/usr/sbin/groupmems is not part of coreutils but of shadowutils. Reassigning to
correct component and owner.
Comment 3 Fedora Update System 2008-02-19 09:25:39 EST
shadow-utils-4.0.18.1-21.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-20 21:53:40 EST
shadow-utils-4.0.18.1-21.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.